#include <iostream>
#include "Gainer.h"

#pragma comment(lib,"gainercxx.lib")

// callback function(button pressed)
static void on_pressed()
{
	std::cout << "on_pressed" << std::endl;
}

// callback function(button released)
static void on_released()
{
	std::cout << "on_released" << std::endl;
}

int main(void)
{
	Gainer *gainer = new Gainer(COM3);

	// set callback function
	gainer->setOnPressedCallback(on_pressed);
	gainer->setOnReleasedCallback(on_released);
	
	for(int i = 0; i < 10; i++)
	{
		gainer->turnOnLED();
		Sleep(1000);

		gainer->turnOffLED();
		Sleep(1000);
	}
	
	delete gainer;
	return 0;
}
